# $Revision: 1.12 $, $Date: 2010/07/09 11:14:14 $
#
%define		libver	3.3.3
#
Summary:	Peter Gutmann's general purpose encryption library
Summary(pl.UTF-8):	Biblioteka kryptograficzna ogólnego przeznaczenia Petera Gutmanna
Name:		cryptlib
Version:	3.3.3
%define		_ver	%(echo %{version} | tr -d .)
Release:	2
License:	sleepycat
Group:		Libraries
Source0:	ftp://ftp.franken.de/pub/crypt/cryptlib/cl%{_ver}.zip
# Source0-md5:	afdb94894f7f798702703f4a95a2e7ac
Patch0:		%{name}-rdtsc.patch
Patch1:		%{name}-soname.patch
URL:		http://www.cs.auckland.ac.nz/~pgut001/cryptlib/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
%pyrequires_eq  python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The cryptlib encryption library provides an easy-to-use interface
which allows even inexperienced crypto programmers to easily add
strong encryption and authentication services to their software. The
library contains DES, triple DES, IDEA, MDC/SHS, RC2, RC4, RC5, SAFER,
SAFER-SK, Blowfish, and Blowfish-SK conventional encryption, MD2, MD4,
MD5, RIPEMD-160 and SHA hash algorithms, and Diffie-Hellman, DSA, and
RSA public-key encryption.

%description -l pl.UTF-8
Biblioteka kryptograficzna cryptlib udostępnia łatwy w użyciu
interfejs pozwalający nawet niedoświaczonym programistom kryptografii
łatwo dodawać do swoich programów usługi kryptograficzne i
uwierzytelnienia. Biblioteka zawiera szyfry konwencjonalne DES, 3DES,
IDEA, MDC/SHS, RC2, RC4, RC5, SAFER, SAFER-SK, Blowfish i Blowfish-SK,
algorytmy skrótu MD2, MD4, MD5, RIPEMD-160 i SHA oraz szyfry klucza
publicznego Diffie-Hellmana, DSA i RSA.

%package devel
Summary:	Header file for cryptlib library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki cryptlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The header file for developing applications that use the cryptlib
cryptography library.

%description devel -l pl.UTF-8
Plik nagłówkowy do tworzenia aplikacji korzystających z biblioteki
kryptograficznej cryptlib.

%package static
Summary:	Static cryptlib library
Summary(pl.UTF-8):	Statyczna biblioteka cryptlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static cryptlib library.

%description static -l pl.UTF-8
Statyczna biblioteka cryptlib.

%package -n python-cryptlib
Summary:	Python bindings for cryptlib
Summary(pl.UTF-8):	Wiązania języka Python do biblioteki cryptlib
Group:		Libraries/Python
Requires:	python >= 1:2.4

%description -n python-cryptlib
Python bindings for cryptlib library.

%description -n python-cryptlib -l pl.UTF-8
Wiązania języka Python do biblioteki cryptlib.

%prep
%setup -q -T -c
unzip -q -L -a %{SOURCE0}
%patch0 -p1
%patch1 -p1

sed -i -e 's/ -O3 / %{rpmcflags} /' makefile

%build
%{__make} \
	CC="%{__cc}"

%{__make} shared \
	CC="%{__cc}"

ln -sf libcl.so.%{libver} libcl.so

cd bindings
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{py_sitedir}}

install cryptlib.h $RPM_BUILD_ROOT%{_includedir}
install libcl.a $RPM_BUILD_ROOT%{_libdir}
install libcl.so.%{libver} $RPM_BUILD_ROOT%{_libdir}
ln -s libcl.so.%{libver} $RPM_BUILD_ROOT%{_libdir}/libcl.so.3
ln -s libcl.so.%{libver} $RPM_BUILD_ROOT%{_libdir}/libcl.so

cd bindings
python setup.py install	\
	--optimize=2	\
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcl.so.%{libver}
%attr(755,root,root) %ghost %{_libdir}/libcl.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcl.so
%{_includedir}/cryptlib.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcl.a

%files -n python-cryptlib
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/cryptlib_py.so
%{py_sitedir}/cryptlib_py-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cryptlib.spec,v $
Revision 1.12  2010/07/09 11:14:14  arekm
- release 2

Revision 1.11  2009/09/03 11:10:35  arekm
- up to 3.3.3

Revision 1.10  2009/06/04 09:38:59  amateja
- release 1

Revision 1.9  2009/05/28 11:05:30  amateja
- updated to 3.3.2

Revision 1.8  2008/01/08 19:33:34  qboosh
- added rdtsc,soname patches, builds now properly; reverted .so hacks

Revision 1.7  2007-09-28 13:03:10  beorn
- Up to 3.3.1
- python-cryptlib package added
- Please, someone check that Provides: hack. I don't like it, but I don't know how to make it in a good way.

Revision 1.6  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.4  2006/02/21 19:58:18  spider
- typo in version

Revision 1.3  2006/02/20 19:35:32  qboosh
- use CC and optflags

Revision 1.2  2006/02/20 17:43:28  qboosh
- pl, separated -static, fixed lib paths, cleanups

Revision 1.1  2006/02/19 21:22:04  spider
- new
- 1st spec by Lukasz Klimek (casa_at_fajni.net)
- adaptarized
